Želim da napravim FTP.

Želim da napravim FTP.

offline
  • Pridružio: 01 Jan 2011
  • Poruke: 639

Želim da napravim FTP da bih pristupio svom serveru.

Jedva sam namestio SeedBox kako treba (online.net ), preko ruTorrent-a sve lepo radi.

12.04.2_LTS-server (64BITS)

Trebao bih (valjda) da odradim sa ovog linka: https://www.youtube.com/watch?v=9Ho1qJn0VHQ

1. Ulogujem se kao root preko "sudo bash"

2. Otkucam "yum install vsftpd" i kaže mi
root@sd-43008:~# yum install vsftpd
The program 'yum' is currently not installed. You can install it by typing:
apt-get install yum

Može li neko da mi pomogne sa ovim pod 2 i možda mi još nešto zatreba kasnije oko podešavanja?



Registruj se da bi učestvovao u diskusiji. Registrovanim korisnicima se NE prikazuju reklame unutar poruka.
offline
  • Milan
  • Pridružio: 17 Dec 2007
  • Poruke: 13245
  • Gde živiš: Niš

A da probaš da uradiš ono što ti kaže za taj yum? Very Happy



offline
  • Pridružio: 01 Jan 2011
  • Poruke: 639

login as: veselin
veselin@195.154.12.5's password:
Welcome to Ubuntu 12.04.5 LTS (GNU/Linux 3.2.0-68-generic x86_64)

 * Documentation:  https://help.ubuntu.com/
New release '14.04.1 LTS' available.
Run 'do-release-upgrade' to upgrade to it.

Last login: Sat Sep 13 08:55:38 2014 from 178.222.126.28
sudo baveselin@sd-43008:~$ sudo bash
[sudo] password for veselin:
root@sd-43008:~# yum install vsftpd
The program 'yum' is currently not installed.  You can install it by typing:
apt-get install yum
root@sd-43008:~# apt-get install yum
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  liblua5.1-0 libnspr4 libnss3 librpm2 librpmbuild2 librpmio2 librpmsign0
  libsqlite0 python-libxml2 python-rpm python-sqlite python-sqlitecachec
  python-urlgrabber rpm rpm-common rpm2cpio
Suggested packages:
  python-sqlite-dbg alien elfutils rpm-i18n
The following NEW packages will be installed:
  liblua5.1-0 libnspr4 libnss3 librpm2 librpmbuild2 librpmio2 librpmsign0
  libsqlite0 python-libxml2 python-rpm python-sqlite python-sqlitecachec
  python-urlgrabber rpm rpm-common rpm2cpio yum
0 upgraded, 17 newly installed, 0 to remove and 1 not upgraded.
Need to get 3,225 kB of archives.
After this operation, 10.2 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://mirrors.online.net/ubuntu/ precise-updates/main liblua5.1-0 amd64 5.1.4-12ubuntu1.1 [172 kB]
Get:2 http://mirrors.online.net/ubuntu/ precise-updates/main libnspr4 amd64 4.9.5-0ubuntu0.12.04.3 [140 kB]
Get:3 http://mirrors.online.net/ubuntu/ precise-updates/main libnss3 amd64 3.15.4-0ubuntu0.12.04.3 [1,231 kB]
Get:4 http://mirrors.online.net/ubuntu/ precise-updates/main librpmio2 amd64 4.9.1.1-1ubuntu0.2 [82.0 kB]
Get:5 http://mirrors.online.net/ubuntu/ precise-updates/main rpm-common amd64 4.9.1.1-1ubuntu0.2 [20.2 kB]
Get:6 http://mirrors.online.net/ubuntu/ precise-updates/main librpm2 amd64 4.9.1.1-1ubuntu0.2 [186 kB]
Get:7 http://mirrors.online.net/ubuntu/ precise-updates/main librpmbuild2 amd64 4.9.1.1-1ubuntu0.2 [69.9 kB]
Get:8 http://mirrors.online.net/ubuntu/ precise-updates/main librpmsign0 amd64 4.9.1.1-1ubuntu0.2 [8,850 B]
Get:9 http://mirrors.online.net/ubuntu/ precise/universe libsqlite0 amd64 2.8.17-7fakesync1build1 [189 kB]
Get:10 http://mirrors.online.net/ubuntu/ precise-updates/main python-libxml2 amd64 2.7.8.dfsg-5.1ubuntu4.9 [186 kB]
Get:11 http://mirrors.online.net/ubuntu/ precise/universe python-sqlite amd64 1.0.1-9 [32.4 kB]
Get:12 http://mirrors.online.net/ubuntu/ precise/main python-urlgrabber all 3.9.1-4ubuntu2 [48.5 kB]
Get:13 http://mirrors.online.net/ubuntu/ precise-updates/main rpm2cpio amd64 4.9.1.1-1ubuntu0.2 [5,174 B]
Get:14 http://mirrors.online.net/ubuntu/ precise-updates/main rpm amd64 4.9.1.1-1ubuntu0.2 [156 kB]
Get:15 http://mirrors.online.net/ubuntu/ precise-updates/universe python-rpm amd64 4.9.1.1-1ubuntu0.2 [42.0 kB]
Get:16 http://mirrors.online.net/ubuntu/ precise/universe python-sqlitecachec amd64 1.1.2-1ubuntu3 [20.8 kB]
Get:17 http://mirrors.online.net/ubuntu/ precise/universe yum all 3.2.25-1ubuntu2 [634 kB]
Fetched 3,225 kB in 0s (5,191 kB/s)
Selecting previously unselected package liblua5.1-0.
(Reading database ... 98442 files and directories currently installed.)
Unpacking liblua5.1-0 (from .../liblua5.1-0_5.1.4-12ubuntu1.1_amd64.deb) ...
Selecting previously unselected package libnspr4.
Unpacking libnspr4 (from .../libnspr4_4.9.5-0ubuntu0.12.04.3_amd64.deb) ...
Selecting previously unselected package libnss3.
Unpacking libnss3 (from .../libnss3_3.15.4-0ubuntu0.12.04.3_amd64.deb) ...
Selecting previously unselected package librpmio2.
Unpacking librpmio2 (from .../librpmio2_4.9.1.1-1ubuntu0.2_amd64.deb) ...
Selecting previously unselected package rpm-common.
Unpacking rpm-common (from .../rpm-common_4.9.1.1-1ubuntu0.2_amd64.deb) ...
Selecting previously unselected package librpm2.
Unpacking librpm2 (from .../librpm2_4.9.1.1-1ubuntu0.2_amd64.deb) ...
Selecting previously unselected package librpmbuild2.
Unpacking librpmbuild2 (from .../librpmbuild2_4.9.1.1-1ubuntu0.2_amd64.deb) ...
Selecting previously unselected package librpmsign0.
Unpacking librpmsign0 (from .../librpmsign0_4.9.1.1-1ubuntu0.2_amd64.deb) ...
Selecting previously unselected package libsqlite0.
Unpacking libsqlite0 (from .../libsqlite0_2.8.17-7fakesync1build1_amd64.deb) ...
Selecting previously unselected package python-libxml2.
Unpacking python-libxml2 (from .../python-libxml2_2.7.8.dfsg-5.1ubuntu4.9_amd64.deb) ...
Selecting previously unselected package python-sqlite.
Unpacking python-sqlite (from .../python-sqlite_1.0.1-9_amd64.deb) ...
Selecting previously unselected package python-urlgrabber.
Unpacking python-urlgrabber (from .../python-urlgrabber_3.9.1-4ubuntu2_all.deb) ...
Selecting previously unselected package rpm2cpio.
Unpacking rpm2cpio (from .../rpm2cpio_4.9.1.1-1ubuntu0.2_amd64.deb) ...
Selecting previously unselected package rpm.
Unpacking rpm (from .../rpm_4.9.1.1-1ubuntu0.2_amd64.deb) ...
Selecting previously unselected package python-rpm.
Unpacking python-rpm (from .../python-rpm_4.9.1.1-1ubuntu0.2_amd64.deb) ...
Selecting previously unselected package python-sqlitecachec.
Unpacking python-sqlitecachec (from .../python-sqlitecachec_1.1.2-1ubuntu3_amd64.deb) ...
Selecting previously unselected package yum.
Unpacking yum (from .../yum_3.2.25-1ubuntu2_all.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up liblua5.1-0 (5.1.4-12ubuntu1.1) ...
Setting up libnspr4 (4.9.5-0ubuntu0.12.04.3) ...
Setting up libnss3 (3.15.4-0ubuntu0.12.04.3) ...
Setting up librpmio2 (4.9.1.1-1ubuntu0.2) ...
Setting up rpm-common (4.9.1.1-1ubuntu0.2) ...
Setting up librpm2 (4.9.1.1-1ubuntu0.2) ...
Setting up librpmbuild2 (4.9.1.1-1ubuntu0.2) ...
Setting up librpmsign0 (4.9.1.1-1ubuntu0.2) ...
Setting up libsqlite0 (2.8.17-7fakesync1build1) ...
Setting up python-libxml2 (2.7.8.dfsg-5.1ubuntu4.9) ...
Setting up python-sqlite (1.0.1-9) ...
Setting up python-urlgrabber (3.9.1-4ubuntu2) ...
Setting up rpm2cpio (4.9.1.1-1ubuntu0.2) ...
Setting up rpm (4.9.1.1-1ubuntu0.2) ...
Setting up python-rpm (4.9.1.1-1ubuntu0.2) ...
Setting up python-sqlitecachec (1.1.2-1ubuntu3) ...
Setting up yum (3.2.25-1ubuntu2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
root@sd-43008:~# yum install vsftpd
Setting up Install Process
No package vsftpd available.
Nothing to do
root@sd-43008:~#


Na kraju opet kaže:

root@sd-43008:~# yum install vsftpd
Setting up Install Process
No package vsftpd available.
Nothing to do

Edit: prelistao sam par sajtova i mislim da sam dobro sve sredio, postavio sam novi username (različit od serverskog) kao i password.

Otvorio sam FileZilla, konfigurisao tako što sam za host uneo "online.net", port sam stavljao i 21 i 22 i 23976 (menjao sam) i ništa, piše:

Response: fzSftp started
Command: open "knezevic@195.154.12.5" 21
Error: Network error: Connection refused
Error: Could not connect to server

Edit 2: Možda može biti problem pošto pristupam serveru preko puTTy-ja na Windows-u a u pitanju je osnovna verzija Starter?

offline
  • Pridružio: 17 Jan 2014
  • Poruke: 565

Napisano: 13 Sep 2014 16:36

@Knežević i @vasa.93 yum je pacage manager za fedoru ne za debian-bazirane operativne sisteme i ne moze da radi na istim.
kod debian-based je aptitude i apt-get
za FTP server sve imas na ubuntu sajtu.
https://help.ubuntu.com/12.04/serverguide/ftp-server.html

Dopuna: 13 Sep 2014 16:43

@knežević
odradi update servera i stalno ga radi kad god moze (ne upgrade sa 12.04 na 14.04 na primer , vec zakrpe)
savet:
kad pratis neko upustvo sa youtube ili bilo gde, prvo vidi datum jer ovo koje si naveo u #1 je iz 2011, tad tvoj server nije postojao...
tvoj server je ubuntu, znaci debian-based. paketi su .deb (ne .rpm, .aur ... itd). upustva prvo gledaj za ubuntu, pa ako nema onda za debian (on ima veliku bazu a uglavnom sve radi samo ako se prati datum bar)

Ko je trenutno na forumu
 

Ukupno su 285 korisnika na forumu :: 4 registrovanih, 0 sakrivenih i 281 gosta   ::   [ Administrator ] [ Supermoderator ] [ Moderator ] :: Detaljnije

Najviše korisnika na forumu ikad bilo je 1567 - dana 15 Jul 2016 20:18

Korisnici koji su trenutno na forumu:
Korisnici trenutno na forumu: blue2, kolateralnasteta, kovac9mm, yrraf